| kspaceFirstOrder3D-OMP 1.0 The C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes
TOutputHDF5Stream Class Reference

Output stream for sensor data. It stores time series every timestep.

`#include <OutputHDF5Stream.h>`

Collaboration diagram for TOutputHDF5Stream:
[legend]

List of all members.

## Public Member Functions
| TOutputHDF5Stream ()
| Constructor.
virtual void | CreateStream (THDF5_File &HDF5_File, const char *DatasetName, const TDimensionSizes &TotalSize, const TDimensionSizes &ChunkSize, const int CompressionLevel)
| Create stream.
virtual void | CloseStream ()
| Close stream.
virtual void | AddData (TRealMatrix &Source_matrix, TLongMatrix &Index, float *TempBuffer)
| Add data into stream.
virtual | ~TOutputHDF5Stream ()
| Destructor.
## Private Member Functions
| TOutputHDF5Stream (const TOutputHDF5Stream &src)
TOutputHDF5Stream & | operator= (const TOutputHDF5Stream &src)
| operator = is not allowed for public
## Private Attributes
THDF5_File * | HDF5_File
| HDF5 file handle.
hid_t | HDF5_Dataset_id
| HDF5 dataset handle.
TDimensionSizes | Position
| Position in the dataset.

## Detailed Description

Definition at line 49 of file OutputHDF5Stream.h.

## Constructor & Destructor Documentation

TOutputHDF5Stream::~TOutputHDF5Stream | ( |  | ) | `[virtual]`

Destructor

Definition at line 130 of file OutputHDF5Stream.cpp.

TOutputHDF5Stream::TOutputHDF5Stream | ( | const TOutputHDF5Stream & | src | ) | `[private]`

Copy constructor is not allowed for public

Parameters:

  src |

## Member Function Documentation

void TOutputHDF5Stream::AddData | ( | TRealMatrix & | SourceMatrix,
|  | TLongMatrix & | Index,
|  | float * | TempBuffer
| ) |  | `[virtual]`

Add data into the stream (usually one time step sensor data)

Parameters:

  [in] | SourceMatrix | - Matrix from where to pick the values
  [in] | Index | - Index used to pick the values
  [in,out] | TempBuffer | - Temp buffer to make the data block contiguous

Definition at line 105 of file OutputHDF5Stream.cpp.

Here is the call graph for this function:

Here is the caller graph for this function:

void TOutputHDF5Stream::CloseStream | ( |  | ) | `[virtual]`

Close the output stream and the dataset

Definition at line 87 of file OutputHDF5Stream.cpp.

Here is the caller graph for this function:

void TOutputHDF5Stream::CreateStream | ( | THDF5_File & | HDF5_File,
|  | const char * | DatasetName,
|  | const TDimensionSizes & | TotalSize,
|  | const TDimensionSizes & | ChunkSize,
|  | const int | CompressionLevel
| ) |  | `[virtual]`

This method initialize the output stream by creating a HDF5 dataset and writing the parameters of the dataset

Parameters:

  [in] | HDF5_File | - Handle to HDF5 output file
  [in] | DatasetName | - Dataset name
  [in] | TotalSize | - Total size of the dataset (usually sensor_size * time_period)
  [in] | ChunkSize | - Chunk size (usually sensor_size)
  [in] | CompressionLevel | - Compression level

Definition at line 67 of file OutputHDF5Stream.cpp.

Here is the call graph for this function:

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- MatrixClasses/OutputHDF5Stream.h
- MatrixClasses/OutputHDF5Stream.cpp

All Classes Files Functions Variables Typedefs Enumerations